> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/prisma/migrations.md).

# MIGRATIONS

### Prisma Migrations

#### Get Started

<https://www.prisma.io/docs/concepts/components/prisma-migrate/get-started> <https://www.prisma.io/docs/concepts/components/prisma-migrate/migrate-development-production>

#### Baseline Existing DBs (staging and prod)

<https://www.prisma.io/docs/guides/database/developing-with-prisma-migrate/add-prisma-migrate-to-a-project#baseline-your-production-environment>

```bash
cd applications/api-v2
yarn prisma migrate resolve --applied 20230110221201_init
yarn prisma migrate resolve --applied 20230110221244_functions_v2
```

### Sync Process

#### Steps to sync

1. Create an empty DB, and point `DATABASE_URL` env var to that one.
2. Delete the `applications/api-v2/prisma/migrations` path and the `*.toml` lock.
3. Run `yarn prisma migrate dev --name init`, so that an init migration gets created.
4. Switch back `DATABASE_URL` to `staging` DB.
5. Run `yarn prisma migrate resolve --applied *****_init`, so that we tell Prisma the creation migrations are ran.
6. Run `yarn prisma migrate dev --name sync_staging`, so we simulate a new migration and get the Drift message.

#### Staging

**Pending Drift issues to resolve on staging after this PR updates:**

```md
Already in sync, no schema change or pending migration was found.
```

#### Production

**Pending Drift issues to resolve on prod after this PR updates:**

```md
--- TBD
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.podplay.app/api/prisma/migrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
